This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 840025 - autofs 5.0.5-54 fails to mount share on IPv6 netapp [NEEDINFO]
autofs 5.0.5-54 fails to mount share on IPv6 netapp
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: autofs (Show other bugs)
6.3
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Ian Kent
Yin.JianHong
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 09:28 EDT by Timo Trinks
Modified: 2017-09-14 08:08 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ikent: needinfo? (ttrinks)


Attachments (Terms of Use)
autofs 5.0.5-55 debug info (3.67 KB, text/plain)
2013-05-07 06:49 EDT, Timo Trinks
no flags Details

  None (edit)
Description Timo Trinks 2012-07-13 09:28:27 EDT
Description of problem:
After upgrading all packages including autofs to latest on Red Hat Enterprise Linux 6.3 pure IPv6 host autofs refuses to mount shares on IPv6 netapp:

Jul 13 07:57:13 XXXX automount[2010]: mount_mount: mount(nfs): root=/XX 
name=XXXX what=netapp01-ipv6.XX.XX.XX.XX:/XX/XX/XX, 
fstype=nfs,options=rw,vers=3,rsize=32768,wsize=32768,hard,intr,nosuid,
nodev,noatime,async
Jul 13 07:57:13 XXXX automount[2010]: mount_mount: mount(nfs): nfs
options="rw,vers=3,rsize=32768,wsize=32768,hard,intr,nosuid,nodev,noatime,
async", nosymlink=0, ro=0
Jul 13 07:57:13 XXXX automount[2010]: get_nfs_info: called with host
netapp01-ipv6.XX.XX.XX.XX:/XX/XX/XX(<insertIPv6addresshere>) proto tcp version 0x70
Jul 13 07:57:13 XXXX automount[2010]: get_nfs_info: called with host
netapp01-ipv6.XX.XX.XX.XX:/XX/XX/XX(<insertIPv6addresshere>) proto tcp version 0x70
Jul 13 07:57:13 XXXX automount[2010]: mount(nfs): no hosts available
Jul 13 07:57:13 XXXX automount[2010]: dev_ioctl_send_fail: token = 117
Jul 13 07:57:13 XXXX automount[2010]: failed to mount /XX/XXXX

Version-Release number of selected component (if applicable):
autofs-5.0.5-54.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to autofs-5.0.5-54.el6.x86_64 on Red Hat Enterprise Linux 6.3 pure IPv6 host
2. Start autofs
3. No bananas (automount[2010]: failed to mount /XX/XXXX)
  
Actual results:
Jul 13 07:57:13 XXXX automount[2010]: mount(nfs): no hosts available
Jul 13 07:57:13 XXXX automount[2010]: dev_ioctl_send_fail: token = 117
Jul 13 07:57:13 XXXX automount[2010]: failed to mount /XX/XXXX

Expected results:
/XX/XXXX mounted

Additional info:
After downgrading to autofs-5.0.5-46.el6.x86_64 share(s) on IPv6 netapp 
got automounted again
Comment 2 Tomas Herfert 2012-07-13 10:08:32 EDT
FYI - similar (if not the same) problem was just recently fixed:
https://bugzilla.redhat.com/show_bug.cgi?id=753964
Comment 3 Ian Kent 2012-07-13 11:18:01 EDT
(In reply to comment #2)
> FYI - similar (if not the same) problem was just recently fixed:
> https://bugzilla.redhat.com/show_bug.cgi?id=753964

It's a different bug.

You should be able to work around this by setting MOUNT_WAIT
in the autofs configuration to somthing other that -1, say 30
for example. That will bypass the rpc server availability check
you see in the log.

I'll still need to work out what's wrong with the rpc code
though.
Comment 4 Ian Kent 2012-07-16 03:34:15 EDT
(In reply to comment #3)
> 
> I'll still need to work out what's wrong with the rpc code
> though.

And I can't reproduce the problem.
There must be something different in the environment I'm not
aware of, any thoughts?
Comment 5 Ian Kent 2012-09-10 22:05:14 EDT
Could you please try the package at:
http://people.redhat.com/~ikent/autofs-5.0.5-55.el6

and post the debug log from it.
Comment 9 Ian Kent 2013-03-04 22:36:40 EST
(In reply to comment #5)
> Could you please try the package at:
> http://people.redhat.com/~ikent/autofs-5.0.5-55.el6
> 
> and post the debug log from it.

Is this still a problem using the latest autofs?
Please post a debug log from the latest autofs if it is.
Comment 11 Ian Kent 2013-05-06 23:29:17 EDT
(In reply to comment #9)
> (In reply to comment #5)
> > Could you please try the package at:
> > http://people.redhat.com/~ikent/autofs-5.0.5-55.el6
> > 
> > and post the debug log from it.
> 
> Is this still a problem using the latest autofs?
> Please post a debug log from the latest autofs if it is.

Still waiting for more info?
Comment 13 Timo Trinks 2013-05-07 06:49:01 EDT
Created attachment 744671 [details]
autofs 5.0.5-55 debug info
Comment 14 Timo Trinks 2013-05-07 06:56:01 EDT
Hi Ian, 

I'm still hitting this issue using your proposed autofs version [1]
(see attached debug info) or the latest version of autofs for RHEL 
6.4 (5.0.5-74). No such thing with autofs 5.0.5-46.

Thanks,

Timo

[1] http://people.redhat.com/~ikent/autofs-5.0.5-55.el6
Comment 18 Ian Kent 2015-11-30 02:13:19 EST
Is this still a problem with the current autofs (presumably
you were able to work around it by setting MOUNT_WAIT > 0)?
What base RHEL release are you using now?

Note You need to log in before you can comment on or make changes to this bug.